SND_AC97_UPDATE_BITS(9)

NAME
snd_ac97_update_bits - update the bits on the given register

SYNOPSIS

int snd_ac97_update_bits(struct snd_ac97 * ac97, unsigned short reg, unsigned short mask, unsigned short value);

ARGUMENTS

ac97
    the ac97 instance

reg
    the register to change

mask
    the bit-mask to change

value
    the value to set

DESCRIPTION

Updates the masked-bits on the given register only when the value is changed.

RETURN

1 if the bits are changed, 0 if no change, or a negative code on failure.

COPYRIGHT